Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Class LineInfo

    java.lang.Object
      org.apache.batik.extension.svg.LineInfo

    public class LineInfo

extends Object

This class encapsulates the layout information about a single line in a multi-line flow.

Constructor Summary
`LineInfo(Point2D.Float loc, AttributedCharacterIterator aci, GVTGlyphVector gv, int startIdx, int endIdx, float advance, float visualAdvance, float lastCharWidth, float lineWidth, boolean partial, Point2D.Float verticalAlignOffset)`

Method Summary
`AttributedCharacterIterator` | `getACI()`
`float` | `getAdvance()`
`int` | `getEndIdx()`
`GVTGlyphVector` | `getGlyphVector()`
`float` | `getLastCharWidth()`
`float` | `getLineWidth()`
`Point2D.Float` | `getLocation()`
`int` | `getStartIdx()`
`Point2D.Float` | `getVerticalAlignOffset()`
`float` | `getVisualAdvance()`
`boolean` | `isPartialLine()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineInfo

    public LineInfo(Point2D.Float loc,
                    AttributedCharacterIterator aci,
                    GVTGlyphVector gv,
                    int startIdx,
                    int endIdx,
                    float advance,
                    float visualAdvance,
                    float lastCharWidth,
                    float lineWidth,
                    boolean partial,
                    Point2D.Float verticalAlignOffset)

Method Detail

### getLocation

    public Point2D.Float getLocation()

### getACI

    public AttributedCharacterIterator getACI()

### getGlyphVector

    public GVTGlyphVector getGlyphVector()

### getStartIdx

    public int getStartIdx()

### getEndIdx

    public int getEndIdx()

### getAdvance

    public float getAdvance()

### getVisualAdvance

    public float getVisualAdvance()

### getLastCharWidth

    public float getLastCharWidth()

### getLineWidth

    public float getLineWidth()

### isPartialLine

    public boolean isPartialLine()

### getVerticalAlignOffset

    public Point2D.Float getVerticalAlignOffset()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.